﻿using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TestViewComponent.ViewComponents
{
    public class InputLabelTextBoxViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke(string labelText, string inputId,
            string placehodler, string viewName)
        {
            //没有指定视图名称，默认使用Default.cshtml
            if (string.IsNullOrEmpty(viewName))
            {
                viewName = "Default";
            }
            var fortmatDataViewModel = new InputLabelTextBoxViewModel(labelText, inputId, placehodler, viewName);
            return View(viewName, fortmatDataViewModel);
        }
    }
}
