﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TestViewComponent.ViewComponents
{
    public class InputLabelTextBoxViewModel
    {
        /// <summary>
        /// Label控件的文本
        /// </summary>
        public string LabelText { get; set; }

        /// <summary>
        /// Input控件的Id
        /// </summary>
        public string InputId { get; set; }

        /// <summary>
        /// Input控件的水印
        /// </summary>
        public string Placeholder { get; set; }

        /// <summary>
        /// 视图名称
        /// </summary>
        public string ViewName { get; set; }

        public InputLabelTextBoxViewModel(string labelText, string inputId, string placeholder, string viewName)
        {
            LabelText = string.IsNullOrEmpty(labelText) ? "" : labelText;
            InputId = string.IsNullOrEmpty(inputId) ? "" : inputId;
            Placeholder = string.IsNullOrEmpty(placeholder) ? "" : placeholder;
            ViewName = string.IsNullOrEmpty(viewName) ? "" : viewName;
        }
    }
}
